import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { Handler } from 'vega-tooltip';
import { config } from './config';
import { getData } from './getData';
import { viz01, viz02, viz03, viz04 } from './viz';

vl.register(vega, vegaLite, {
  view: { renderer: 'svg' },
  init: view => { view.tooltip(new Handler().call); }
});

const run = async () => {
  const marks01 = viz01
    .data(await getData())
    .width(window.innerWidth/2)
    .height(window.innerHeight*0.46)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  document.getElementById("plot01").appendChild(await marks01.render());
  
  const marks02 = viz02
    .data(await getData())
    .width(window.innerWidth/2)
    .height(window.innerHeight*0.46)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  document.getElementById("plot02").appendChild(await marks02.render());
  
  const marks03 = viz03
    .data(await getData())
    .width(window.innerWidth/2)
    .height(window.innerHeight*0.46)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  document.getElementById("plot03").appendChild(await marks03.render());
  
  const marks04 = viz04
    .data(await getData())
    .width(window.innerWidth/2)
    .height(window.innerHeight*0.46)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  document.getElementById("plot04").appendChild(await marks04.render());
};
run();